#!/bin/sh

set -e

export DATABASE_USER=
export DATABASE_PASSWORD=
export DATABASE_HOST=


runuser -u postgres -- psql -f $(pwd)/debian/tests/init.sql

cp -r sandbox ${AUTOPKGTEST_TMP}
cd ${AUTOPKGTEST_TMP}
for p in $(py3versions -s); do
    PYTHONPATH="sandbox:." $p -m pytest --ds=sandbox.settings
done
